List all the company dispatches

Purpose: Use this API to list all the available dispatch locations of your vendors. You must specify the ID of the dispatch location as well as the ID of the vendor to fetch a specific location. Otherwise, the API response will list all the available locations for your company.

Response Parameters

dispatch_location

  • Type: Object
  • Description: The details of a dispatch location.

id

  • Type: Integer
  • Description: The unique identifier for the dispatch location.

vendor_id

  • Type: String
  • Description: The identifier for the vendor associated with the dispatch location.

lat

  • Type: Integer
  • Description: The latitude coordinate of the dispatch location.

lon

  • Type: Integer
  • Description: The longitude coordinate of the dispatch location.

name

  • Type: String
  • Description: The name of the dispatch location.

address1

  • Type: String
  • Description: The primary address line for the dispatch location.

address2

  • Type: String
  • Description: The secondary address line for the dispatch location.

city

  • Type: String
  • Description: The city where the dispatch location is situated.

state

  • Type: String
  • Description: The state where the dispatch location is situated.

zip

  • Type: String
  • Description: The ZIP code of the dispatch location.

country

  • Type: String
  • Description: The country where the dispatch location is situated.

arrive_radius

  • Type: Integer
  • Description: The radius (in meters) around the location where a vehicle is considered to have arrived.

depart_radius

  • Type: Integer
  • Description: The radius (in meters) around the location where a vehicle is considered to have departed.

phone

  • Type: String
  • Description: The phone number associated with the dispatch location.

Query Params
ids[]
array of int32s

Specify the IDs of the dispatch locations of the company.

ids[]
vendor_ids
array of strings

Specify the IDs of the vendors from where the dispatch originates.

vendor_ids
int32
Defaults to 25

Denotes the number records to be shown per page.

int32
Defaults to 1

The current page number.

Response

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json